## altos 1.9.21

=== ao-bringup/Makefile ===
CC=sdcc
DEBUG=--debug

CFLAGS=--model-small --debug -I../src/core -I../src/cc1111

LDFLAGS=--out-fmt-ihx --code-loc 0xf000 --xram-loc 0xf400 --xram-size 1024 --iram-size 0xff

INC = \
	ao_bringup.h

BRINGUP_SRC = ao_init.c

BRINGUP_REL=$(BRINGUP_SRC:.c=.rel)

XMIT_SRC = \
	ao_radio_init.c \
	ao_radio_xmit.c
XMIT_REL=$(XMIT_SRC:.c=.rel) $(BRINGUP_REL)

LED_SRC = \
	ao_led_blink.c

LED_REL=$(LED_SRC:.c=.rel) $(BRINGUP_REL)

SRC=$(BRINGUP_SRC) $(XMIT_SRC) $(LED_SRC)

ADB=$(SRC:.c=.adb)
ASM=$(SRC:.c=.asm)
LNK=$(SRC:.c=.lnk)
LST=$(SRC:.c=.lst)
REL=$(SRC:.c=.rel)
RST=$(SRC:.c=.rst)
SYM=$(SRC:.c=.sym)

PROGS=ao_radio_xmit.ihx ao_led_blink.ihx

PCDB=$(PROGS:.ihx=.cdb)
PLNK=$(PROGS:.ihx=.lnk)
PMAP=$(PROGS:.ihx=.map)
PMEM=$(PROGS:.ihx=.mem)
PAOM=$(PROGS:.ihx=)

%.rel : %.c
	$(CC) -c $(CFLAGS) -o$*.rel $<

all: $(PROGS)

ao_radio_xmit.ihx: $(XMIT_REL)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(XMIT_REL)

ao_led_blink.ihx: $(LED_REL)
	$(CC) $(LDFLAGS) $(CFLAGS) -o $@ $(LED_REL)

clean:
	rm -f $(ADB) $(ASM) $(LNK) $(LST) $(REL) $(RST) $(SYM)
	rm -f $(PROGS) $(PCDB) $(PLNK) $(PMAP) $(PMEM) $(PAOM)

install:

=== src/Makefile ===
#
# AltOS build
#

vpath make-altitude util
vpath make-altitude-pa util
vpath make-kalman util
vpath make-whiten util
vpath kalman.5c kalman
vpath kalman_filter.5c kalman
vpath kalman_micro.5c kalman
vpath load_csv.5c kalman
vpath matrix.5c kalman

TOPDIR=.

include Makedefs

ARMM3DIRS=\
	easymega-v1.0 easymega-v1.0/flash-loader \
	easymega-v2.0 easymega-v2.0/flash-loader \
	easymotor-v3 easymotor-v3/flash-loader \
	easytimer-v1 easytimer-v1/flash-loader \
	easytimer-v2 easytimer-v2/flash-loader \
	telemega-v0.1 telemega-v0.1/flash-loader \
	telemega-v1.0 telemega-v1.0/flash-loader \
	telemega-v2.0 telemega-v2.0/flash-loader \
	telemega-v3.0 telemega-v3.0/flash-loader \
	telemega-v4.0 telemega-v4.0/flash-loader \
	telemega-v5.0 telemega-v5.0/flash-loader \
	telemega-v6.0 telemega-v6.0/flash-loader \
	telemega-v7.0 telemega-v7.0/flash-loader \
	telemetrum-v2.0 telemetrum-v2.0/flash-loader \
	telemetrum-v3.0 telemetrum-v3.0/flash-loader \
	telegps-v0.3 telegps-v0.3/flash-loader \
	telegps-v1.0 telegps-v1.0/flash-loader \
	telegps-v2.0 telegps-v2.0/flash-loader \
	telegps-v3.0 telegps-v3.0/flash-loader \
	telegps-v4.0 telegps-v4.0/flash-loader \
	telelco-v0.2 telelco-v0.2/flash-loader \
	telelco-v0.2-cc1200 telelco-v0.2-cc1200/flash-loader \
	telelco-v0.3 telelco-v0.3/flash-loader \
	telelco-v2.0 telelco-v2.0/flash-loader \
	teledongle-v3.0 teledongle-v3.0/flash-loader \
	teleballoon-v2.0 \
	telebt-v3.0 telebt-v3.0/flash-loader \
	telebt-v4.0 telebt-v4.0/flash-loader \
	telelcotwo-v0.1 telelcotwo-v0.1/flash-loader \
	telefireone-v1.0 telefireone-v1.0/flash-loader \
	telefiretwo-v0.1 telefiretwo-v0.1/flash-loader \
	telefireeight-v1.0 telefireeight-v1.0/flash-loader \
	telefireeight-v2.0 telefireeight-v2.0/flash-loader 

ARMM0DIRS=\
	easymini-v1.0 easymini-v1.0/flash-loader \
	chaoskey-v1.0 chaoskey-v1.0/flash-loader \
	telemetrum-v4.0 telemetrum-v4.0/flash-loader \
	telemini-v3.0 telemini-v3.0/flash-loader \
	easymini-v2.0 easymini-v2.0/flash-loader \
	easymini-v3.0 easymini-v3.0/flash-loader \
	telelco-v3.0 telelco-v3.0/flash-loader \
	easymega-v3.0 easymega-v3.0/flash-loader \
	micropeak-v2.0

AVRDIRS=\
	micropeak microkite microsplash

SUBDIRS=draw test

ifeq ($(strip $(HAVE_ARM_M3_CC)),yes)
SUBDIRS+=$(ARMM3DIRS)
foo=bar
endif

ifeq ($(strip $(HAVE_ARM_M0_CC)),yes)
SUBDIRS+=$(ARMM0DIRS)
baz=bletch
endif

ifeq ($(strip $(HAVE_AVR_CC)),yes)
SUBDIRS += $(AVRDIRS)
endif

ALLDIRS=$(ARMM3DIRS) $(ARMM0DIRS) $(AVRDIRS)

all: all-local all-recursive

RECURSIVE_TARGETS = all-recursive install-recursive

$(RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(SUBDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

ALL_RECURSIVE_TARGETS = clean-recursive

$(ALL_RECURSIVE_TARGETS):
	@target=`echo $@ | sed 's/-recursive//'`; \
	for subdir in $(ALLDIRS); do \
		echo "Making $$target in $$subdir"; \
		(cd $$subdir && $(MAKE) $$target) || exit 1; \
	done

distclean:	clean

clean: clean-local clean-recursive

install: install-recursive

uninstall:

all-recursive: all-local

all-local: altitude.h altitude-pa.h altitude-pa-small.h ao_kalman.h ao_whiten.h $(PDCLIB)

altitude.h: make-altitude
	nickle $< > $@

altitude-pa.h: make-altitude-pa
	nickle $< > $@

altitude-pa-small.h: make-altitude-pa
	nickle $< --sample 3 > $@

ao_kalman.h: make-kalman kalman.5c kalman_micro.5c kalman_filter.5c load_csv.5c matrix.5c
	bash $< kalman > $@

ao_whiten.h: make-whiten
	nickle $< > $@

clean-local: $(CLEAN_PDCLIB)
	rm -f altitude.h ao_kalman.h

=== src/draw/Makefile ===
TOPDIR=..
include $(TOPDIR)/Makefile.defs

vpath %.bdf fonts

BITMAP_SIZES = 10, 12, 14, 16, 18, 24, 26, 28, 32, 36, 48, 58, 60, 62, 64, 72

BDFS=\
	BenguiatGothicStd-Bold-10.bdf \
	BenguiatGothicStd-Bold-12.bdf \
	BenguiatGothicStd-Bold-14.bdf \
	BenguiatGothicStd-Bold-16.bdf \
	BenguiatGothicStd-Bold-18.bdf \
	BenguiatGothicStd-Bold-24.bdf \
	BenguiatGothicStd-Bold-26.bdf \
	BenguiatGothicStd-Bold-28.bdf \
	BenguiatGothicStd-Bold-32.bdf \
	BenguiatGothicStd-Bold-36.bdf \
	BenguiatGothicStd-Bold-48.bdf \
	BenguiatGothicStd-Bold-64.bdf \
	BenguiatGothicStd-Bold-72.bdf \
	BenguiatGothicStd-Medium-10.bdf \
	BenguiatGothicStd-Medium-12.bdf \
	BenguiatGothicStd-Medium-14.bdf \
	BenguiatGothicStd-Medium-16.bdf \
	BenguiatGothicStd-Medium-18.bdf \
	BenguiatGothicStd-Medium-24.bdf \
	BenguiatGothicStd-Medium-26.bdf \
	BenguiatGothicStd-Medium-28.bdf \
	BenguiatGothicStd-Medium-32.bdf \
	BenguiatGothicStd-Medium-36.bdf \
	BenguiatGothicStd-Medium-48.bdf \
	BenguiatGothicStd-Medium-64.bdf \
	BenguiatGothicStd-Medium-72.bdf \
	BitstreamVeraSansMono-Roman-10.bdf \
	BitstreamVeraSansMono-Roman-12.bdf \
	BitstreamVeraSansMono-Roman-14.bdf \
	BitstreamVeraSansMono-Roman-16.bdf \
	BitstreamVeraSansMono-Roman-18.bdf \
	BitstreamVeraSansMono-Roman-24.bdf \
	BitstreamVeraSansMono-Roman-26.bdf \
	BitstreamVeraSansMono-Roman-28.bdf \
	BitstreamVeraSansMono-Roman-32.bdf \
	BitstreamVeraSansMono-Roman-36.bdf \
	BitstreamVeraSansMono-Roman-48.bdf \
	BitstreamVeraSansMono-Roman-64.bdf \
	BitstreamVeraSansMono-Roman-72.bdf \
	BitstreamVeraSans-Roman-10.bdf \
	BitstreamVeraSans-Roman-12.bdf \
	BitstreamVeraSans-Roman-14.bdf \
	BitstreamVeraSans-Roman-16.bdf \
	BitstreamVeraSans-Roman-18.bdf \
	BitstreamVeraSans-Roman-24.bdf \
	BitstreamVeraSans-Roman-26.bdf \
	BitstreamVeraSans-Roman-28.bdf \
	BitstreamVeraSans-Roman-32.bdf \
	BitstreamVeraSans-Roman-36.bdf \
	BitstreamVeraSans-Roman-48.bdf \
	BitstreamVeraSans-Roman-58.bdf \
	BitstreamVeraSans-Roman-60.bdf \
	BitstreamVeraSans-Roman-62.bdf \
	BitstreamVeraSans-Roman-64.bdf \
	BitstreamVeraSans-Roman-72.bdf \
	FrutigerLT-Roman-10.bdf \
	FrutigerLT-Roman-12.bdf \
	FrutigerLT-Roman-14.bdf \
	FrutigerLT-Roman-16.bdf \
	FrutigerLT-Roman-18.bdf \
	FrutigerLT-Roman-24.bdf \
	FrutigerLT-Roman-26.bdf \
	FrutigerLT-Roman-28.bdf \
	FrutigerLT-Roman-32.bdf \
	FrutigerLT-Roman-36.bdf \
	FrutigerLT-Roman-48.bdf \
	FrutigerLT-Roman-64.bdf \
	FrutigerLT-Roman-72.bdf \
	NotoMono-10.bdf \
	NotoMono-12.bdf \
	NotoMono-14.bdf \
	NotoMono-16.bdf \
	NotoMono-18.bdf \
	NotoMono-24.bdf \
	NotoMono-26.bdf \
	NotoMono-28.bdf \
	NotoMono-32.bdf \
	NotoMono-36.bdf \
	NotoMono-48.bdf \
	NotoMono-64.bdf \
	NotoMono-72.bdf

FONT_SRCS=$(BDFS:.bdf=.c)

.SUFFIXES: .bdf .c

.bdf.c:
	nickle font-convert -o $@ $<

all: ao_font.h ao_logo.h

test: lco-test line-test

$(FONT_SRCS): font-convert

ao_font.h: $(FONT_SRCS)
	grep -h '^const struct ao_font' $(FONT_SRCS) | sed -e 's/^/extern /' -e 's/ =.*$$/;/' > $@

ao_logo.h: make-logo
	nickle make-logo ao_logo > $@

LIB_SRCS=\
	ao_blt.c \
	ao_box.c \
	ao_copy.c \
	ao_line.c \
	ao_pattern.c \
	ao_rect.c \
	ao_poly.c \
	ao_text.c \
	ao_logo.c \
	$(FONT_SRCS)

LCO_TEST_SRCS=$(LIB_SRCS) lco-test.c
LCO_TEST_OBJS=$(LCO_TEST_SRCS:.c=.o)

LINE_TEST_SRCS=$(LIB_SRCS) line-test.c
LINE_TEST_OBJS=$(LINE_TEST_SRCS:.c=.o)

TEST_LIBS=-lXrender -lXext -lX11 -lm -Wl,--gc-sections

CFLAGS=-O3 -g $(WARN_FLAGS) -DVALIDATE -I.

HEADERS=\
	ao_draw.h \
	ao_draw_int.h \
	ao_font.h \
	ao_logo.h

lco-test: $(LCO_TEST_OBJS)
	cc $(CFLAGS) -o $@ $(LCO_TEST_OBJS) $(TEST_LIBS)

lco-test.o: test-frame.c frame.c

$(LCO_TEST_OBJS): $(HEADERS)

line-test: $(LINE_TEST_OBJS)
	cc $(CFLAGS) -o $@ $(LINE_TEST_OBJS) $(TEST_LIBS)

line-test.o: test-frame.c frame.c

$(LINE_TEST_OBJS): $(HEADERS)

clean:
	rm -f $(LCO_TEST_OBJS) ao_font.h ao_logo.h $(FONT_SRCS)

install:

=== src/easymega-v2.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_mpu9250.h \
	ao_adxl375.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mpu9250.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v2.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=easymega-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/easymega-v3.0/Makefile ===
#
# AltOS build
#
#

include ../stm32f1/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_bmx160.h \
	ao_adxl375.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	stm32f1.h \
	Makefile

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_clock.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_i2c_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_bmi088.c \
	ao_mmc5983.c \
	ao_adxl375.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v3.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM32F1_CFLAGS)

PROGNAME=easymega-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
FLASH_PROG=flash-loader/$(PROGNAME)-altos-flash-$(VERSION).elf
BOTH_DFU=$(PROGNAME)-combined-$(VERSION).dfu
BOTH_HEX=$(PROGNAME)-combined-$(VERSION).ihx
ELFTOHEX=$(TOPDIR)/../ao-tools/ao-elftohex/ao-elftohex
MAKEBIN=$(TOPDIR)/../ao-tools/ao-makebin/ao-makebin

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BOTH_DFU) $(BOTH_HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(BOTH_DFU): $(PROG) $(FLASH_PROG)
	$(MAKEBIN) --dfu --output=$@ --base=$(FLASH_ADDR) $(FLASH_PROG) $(PROG)

$(BOTH_HEX): $(PROG) $(FLASH_PROG)
	$(ELFTOHEX) --nosym --output=$@ $(FLASH_PROG) $(PROG)

$(FLASH_PROG): FRC
	+cd flash-loader && make

$(OBJ): $(INC)

FRC:

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/lambdakey-v1.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

aoschemelib=$(shell pkg-config --variable=aoschemelib ao-scheme)

include $(aoschemelib)/Makefile-scheme

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	$(SCHEME_HDRS) \
	ao_scheme_const.h \
	stm32f0.h \
	Makefile

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_cmd.c \
	ao_led_stmf0.c \
	ao_notask.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_usb_stm.c \
	ao_romconfig.c \
	$(SCHEME_SRCS)

PRODUCT=LambdaKey-v1.0
PRODUCT_DEF=-DLAMBDAKEY
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) -I. -I$(aoschemelib) $(STMF0_CFLAGS)

PROGNAME=lambdakey-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_lambdakey.c
OBJ=$(SRC:.c=.o)

bletch:
	echo lib is $(aoschemelib)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS) -Wl,-M=$(PROGNAME).map

$(OBJ): $(INC)

ao_scheme_const.h: ao-scheme-make-const ao_scheme_basic_syntax.scheme
	$^ -o $@ -d FLOAT,VECTOR,QUASI,BIGINT,POSIX,PORT,SAVE,UNDEF

load: $(PROG)
	stm-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx ao_scheme_const.h
	rm -f ao_product.h

install:

uninstall:

=== src/snekboard/Makefile ===
#
# AltOS build
#
#

include ../samd21/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	samd21.h \
	Makefile

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_interrupt.c \
	ao_product.c \
	ao_cmd.c \
	ao_task.c \
	ao_led.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_dma_samd21.c \
	ao_usb_samd21.c \
	ao_spi_samd21.c

# SAMD21G18A

SAMD21_ROM=256
SAMD21_RAM=32

PRODUCT=SnekBoard
PRODUCT_DEF=-DSNEKBOARD
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(SAMD21_CFLAGS)

PROGNAME=snekboard
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) snekboard.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) 
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

load: $(PROG)
	stm-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/stm-flash/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_boot_pin.c \
	ao_product.c \
	ao_notask.c \
	ao_timer.c \
	ao_usb_stm.c \
	ao_flash_stm.c

PRODUCT=AltosFlash-$(VERSION)
PRODUCT_DEF=-DALTOS_FLASH
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS)

PROG=altos-flash-$(VERSION).elf

SRC=$(ALTOS_SRC) ao_stm_flash.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

LDFLAGS=-L../stm -Wl,-Taltos-loader.ld

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROG)
	rm -f ao_product.h

install:

uninstall:

=== src/stm-scheme-newlib/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs
include ../scheme/Makefile-inc

NEWLIB_FULL=-lm -lc -lgcc

LIBS=$(NEWLIB_FULL)

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	$(SCHEME_HDRS)

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio_newlib.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	$(SCHEME_SRCS)

PRODUCT=StmScheme-v0.0
PRODUCT_DEF=-DSTM_SCHEME
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS)

PROG=stm-scheme-$(VERSION)
ELF=$(PROG).elf
IHX=$(PROG).ihx
LIBSYMS=$(PROG).syms
MAP=$(PROG).map

NEWLIB=/local/newlib-mini
MAPFILE=-Wl,-M=$(MAP)
LDFLAGS=-L../stm -L$(NEWLIB)/arm-none-eabi/lib/thumb/v7-m/ -Wl,-Taltos.ld $(MAPFILE) -nostartfiles
AO_CFLAGS=-I. -I../stm -I../kernel -I../drivers -I.. -I../scheme -isystem $(NEWLIB)/arm-none-eabi/include -DNEWLIB

SRC=$(ALTOS_SRC) ao_demo.c
OBJ=$(SRC:.c=.o)

all: $(ELF) $(IHX) $(LIBSYMS)

$(ELF): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJ) $(LIBS)

$(LIBSYMS): $(ELF)
	grep '^                         ' $(MAP) | grep -v 'size before relaxing' > $@

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o *.elf *.ihx *.map *.syms
	rm -f ao_product.h

install:

uninstall:

=== src/stm32f4-disco/Makefile ===
include ../stm32f4/Makefile-raw.defs

IDVENDOR=0xfffe
IDPRODUCT=0xfffa
PRODUCT=stm32f4-disco
SERIAL=1

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_task.h \
	ao_product.h \
	stm32f4.h \
	Makefile

ALTOS_SRC = \
	ao_interrupt.c \
	ao_romconfig.c \
	ao_panic.c \
	ao_timer.c \
	ao_task.c \
	ao_stdio.c \
	ao_product.c \
	ao_cmd.c \
	ao_exti_stm32f4.c \
	ao_usart_stm32f4.c \
	ao_usb_gen.c \
	ao_usb_stm32f4.c \
	ao_led.c \
	ao_impure.c

CFLAGS = $(STM32F4_CFLAGS)

PROG=stm32f4-disco-$(VERSION)
ELF=$(PROG).elf
IHX=$(PROG).ihx

SRC=$(ALTOS_SRC) ao_disco.c
OBJ=$(SRC:.c=.o)
MAP=$(PROG).map

all: $(ELF) $(IHX)

$(ELF): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $@ $(OBJ) -Wl,-M=$(MAP) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o *.elf *.ihx *.map

install:

uninstall:

=== src/teleballoon-v2.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_mma655x.h \
	ao_cc1120_CC1120.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_gps_ublox.c \
	ao_gps_show.c \
	ao_gps_report_metrum.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_cc1120.c \
	ao_fec_tx.c \
	ao_fec_rx.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mma655x.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_eeprom_stm.c \
	ao_report.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_metrum.c \
	ao_sample.c \
	ao_kalman.c \
	ao_balloon.c \
	ao_telemetry.c \
	ao_packet_slave.c \
	ao_packet.c \
	ao_companion.c \
	ao_aprs.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=TeleBalloon-v2.0
PRODUCT_DEF=-DTELEMETRUM_V_2_0
IDPRODUCT=0x000b

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=teleballoon-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_teleballoon.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/teledongle-v3.0/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	ao_whiten.h \
	lpc.h \
	ao_cc1200.h \
	ao_cc1200_CC1200.h \
	Makefile

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cc1200.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_lpc.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer_lpc.c \
	ao_mutex.c \
	ao_freq.c \
	ao_spi_lpc.c \
	ao_usb_lpc.c \
	ao_exti_lpc.c \
	ao_send_packet.c \
	ao_monitor.c \
	ao_packet_master.c \
	ao_packet.c

PRODUCT=TeleDongle-v3.0
PRODUCT_DEF=-DTELEDONGLE
IDPRODUCT=0x000c

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS)

PROGNAME=teledongle-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_teledongle.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

load: $(PROG)
	lpc-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== debian/changelog ===
altos (1.9.21-1) unstable; urgency=medium

  [ Bdale Garbee ]
  * update Releasing with learnings from 1.9.20 release
  * fix confusing typo in 1.9.20 release notes
  * tweaking up the TeleBT turnon scripts for v4.0d
  * update ChangeLog for 1.9.21 release

  [ Keith Packard ]
  * altoslib: Handle pressure values which are too low (including negative)
  * altos: Adapt to picolibc 1.8.10 changes
  * Version 1.9.20.1
  * altos: Check full name in rn4678 driver
  * doc: Add 1.9.21 release notes
  * Version 1.9.21

 -- Bdale Garbee <bdale@gag.com>  Mon, 28 Apr 2025 20:41:01 -0600

=== debian/control ===
Source: altos
Section: electronics
Priority: optional
Maintainer: Bdale Garbee <bdale@gag.com>
Uploaders: Keith Packard <keithp@keithp.com>
Build-Depends: asciidoctor,
               ruby-asciidoctor-pdf,
               strip-nondeterminism,
               autoconf,
               automake,
               debhelper (>= 13),
               default-jdk,
	       faketime,
               freetts,
               gawk,
               gcc-arm-none-eabi,
               picolibc-arm-none-eabi,
               graphicsmagick | imagemagick,
               graphviz,
               icnsutils,
               icoutils,
               libbluetooth-dev,
               libelf-dev,
	       libjansson-dev,
	       libjson-c-dev,
               gtk-update-icon-cache,
               libjfreechart-java,
               libreadline-dev,
               librsvg2-bin,
               libssl-dev,
               libtool,
               libusb-1.0-0-dev,
               netpbm,
               nickle,
	       cairo-5c,
               pkgconf,
               shared-mime-info,
               sox,
               swig
Standards-Version: 4.6.0
Homepage: http://altusmetrum.org/AltOS
Vcs-Git: git://git.gag.com/fw/altos -b debian
Vcs-Browser: http://git.gag.com/?p=fw/altos

Package: altos
Architecture: any
Depends: default-jre | java2-runtime,
         freetts,
         libjfreechart-java,
         nickle,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: altusmetrum-themes, slim-altusmetrum
Conflicts: altusmetrum-themes, slim-altusmetrum
Description: Altus Metrum firmware and utilities
 Firmware and utilities needed to support high power model rocketry products
 from Altus Metrum, including TeleMetrum, TeleMini, and TeleDongle.
 .
 See http://altusmetrum.org/ for more information.

## altos 1.9.22

=== src/chaoskey-v1.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_task.h \
	ao_adc_fast.h \
	ao_power.h \
	ao_flash_readout.h \
	ao_crc.h \
	stm32f0.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_timer.c \
	ao_panic.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_adc_fast.c \
	ao_crc_stm.c \
	ao_stdio.c \
	ao_led_stmf0.c \
	ao_romconfig.c \
	ao_boot_chain.c \
	ao_usb_stm.c \
	ao_trng_send.c \
	ao_flash_readout.c \
	ao_task.c \
	ao_power.c \
	ao_gpio.c \
	ao_product.c

VENDOR=AltusMetrum
PROJECT_NAME=ChaosKey
PRODUCT=ChaosKey-hw-1.0-sw-$(VERSION)
PRODUCT_DEF=-DCHAOSKEY_V_1_0
IDVENDOR=0x1d50
IDPRODUCT=0x60c6

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS)

PROGNAME=chaoskey-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
BIN=$(PROGNAME)-all-$(VERSION).bin
METAINFO=org.altusmetrum.ChaosKey.metainfo.xml

SRC=$(ALTOS_SRC) ao_chaoskey.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BIN)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

$(BIN): $(PROG) $(LOADER)
	$(MAKEBIN) --output=$@ --base=$(FLASH_ADDR) $(LOADER) $(PROG)

$(LOADER):
	+cd flash-loader && make

%.cab: $(PROG) $(HEX) $(METAINFO)
	gcab --create --nopath $@ $(PROG) $(HEX) $(METAINFO)

cab: $(VENDOR)-$(PROJECT_NAME)-$(VERSION).cab

check: $(METAINFO)
	appstream-util validate-relax $(METAINFO)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx *.bin $(PROGNAME)-*.map
	rm -f ao_product.h
	rm -f *.cab

install:

uninstall:

=== src/cortexelf-v1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs
include ../scheme/Makefile-inc


INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_pins.h \
	ao_kalman.h \
	ao_product.h \
	ao_profile.h \
	ao_task.h \
	math.h \
	ao_mpu.h \
	stm32l.h \
	ao_vga.h \
	ao_draw.h \
	ao_draw_int.h \
	ao_font.h \
	ao_ps2.h \
	$(SCHEME_HDRS) \
	ao_flip_bits.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1


ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_errno.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_i2c_stm.c \
	ao_as1107.c \
	ao_matrix.c \
	ao_vga.c \
	ao_blt.c \
	ao_copy.c \
	ao_rect.c \
	ao_text.c \
	ao_line.c \
	ao_ps2.c \
	ao_console.c \
	ao_sdcard.c \
	ao_bufio.c \
	ao_fat.c \
	ao_flash_stm.c \
	ao_button.c \
	ao_event.c \
	ao_1802.c \
	ao_hex.c \
	$(SCHEME_SRCS) \
	ao_scheme_os_save.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=CortexELF-v1
PRODUCT_DEF=-DCORTEXELF
IDPRODUCT=0x000a

PROGNAME=cortexelf-v1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

MAP=$(PROG).map

MAPFILE=-Wl,-M=$(MAP)

LDFLAGS=-L../stm -L/local/newlib-mini/arm-none-eabi/lib/thumb/v7-m/ -Wl,-Tcortexelf.ld $(MAPFILE) -nostartfiles
AO_CFLAGS=-I. -I../stm -I../kernel -I../drivers -I../draw -I../scheme -I.. -I/local/newlib-mini/arm-none-eabi/include
LIBS=-lc -lm -lgcc

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)


SRC=$(ALTOS_SRC) ao_cortexelf.c
OBJ=$(SRC:.c=.o)

all:: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) cortexelf.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

../altitude-pa.h: make-altitude-pa
	nickle $< > $@

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean::
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h ao_flip_bits.h

ao_flip_bits.h: ao_flip_bits.5c
	nickle ao_flip_bits.5c > $@

include ../scheme/Makefile-scheme

install:

uninstall:

=== src/csm84clio-v0.1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_pins.h \
	ao_product.h \
	ao_profile.h \
	ao_task.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_serial_stm.c \
	ao_dma_stm.c \
	ao_data.c \
	ao_adc_stm.c \
	ao_usb_stm.c \
	ao_convert_volt.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=csm84clio-v0.1
PRODUCT_DEF=-DCSM84CLIO
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=csm84clio-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_csm84clio.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/easymega-v1.0/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_ms5607.h \
	ao_hmc5883.h \
	ao_mpu6000.h \
	ao_mma655x.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_quaternion.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#
# Common AltOS sources
#
#	ao_hmc5883.c

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_ignite.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_data.c \
	ao_ms5607.c \
	ao_mma655x.c \
	ao_hmc5883.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_eeprom_stm.c \
	ao_storage.c \
	ao_m25.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_report.c \
	ao_i2c_stm.c \
	ao_mpu6000.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_log.c \
	ao_log_mega.c \
	ao_sample.c \
	ao_kalman.c \
	ao_flight.c \
	ao_companion.c \
	ao_pyro.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyMega-v1.0
PRODUCT_DEF=-DEASYMEGA
IDPRODUCT=0x0028

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=easymega-v1.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymega.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/easymini-v2.0/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	stm32f0.h

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_ignite.c \
	ao_flight.c \
	ao_kalman.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_mini.c \
	ao_cmd.c \
	ao_config.c \
	ao_dma_stm.c \
	ao_timer.c \
	ao_exti_stm.c \
	ao_spi_stm.c \
	ao_adc_stm.c \
	ao_usb_stm.c \
	ao_m25.c \
	ao_ms5607.c \
	ao_beep_stm.c

PRODUCT=EasyMini-v2.0
PRODUCT_DEF=-DEASYMINI_V_2_0
IDPRODUCT=0x0026

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS)

PROGNAME=easymini-v2.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
FLASH_PROG=flash-loader/$(PROGNAME)-altos-flash-$(VERSION).elf
BOTH_DFU=$(PROGNAME)-combined-$(VERSION).dfu

MAKEBIN=$(TOPDIR)/../ao-tools/ao-makebin/ao-makebin

SRC=$(ALTOS_SRC) ao_easymini.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BOTH_DFU)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(BOTH_DFU): $(PROG) $(FLASH_PROG)
	$(MAKEBIN) --dfu --output=$@ --base=$(FLASH_ADDR) $(FLASH_PROG) $(PROG)

$(FLASH_PROG): FRC
	+cd flash-loader && make

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f $(PROGNAME)-*.dfu
	rm -f ao_product.h

install:

uninstall:

FRC:

=== src/easymini-v3.0/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	lpc.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_ignite.c \
	ao_flight.c \
	ao_kalman.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_pa.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_mini.c \
	ao_cmd.c \
	ao_config.c \
	ao_timer_lpc.c \
	ao_exti_lpc.c \
	ao_usb_lpc.c \
	ao_spi_lpc.c \
	ao_adc_lpc.c \
	ao_beep_lpc.c \
	ao_m25.c \
	ao_ms5607.c

PRODUCT=EasyMini-v3.0
PRODUCT_DEF=-DEASYMINI_V_3_0
IDPRODUCT=0x0026

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS)

PROGNAME=easymini-v3.0
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
FLASH_PROG=flash-loader/$(PROGNAME)-altos-flash-$(VERSION).elf
BOTH_HEX=$(PROGNAME)-combined-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymini.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BOTH_HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(BOTH_HEX): $(PROG) $(FLASH_PROG)
	../../ao-tools/ao-elftohex/ao-elftohex -n --output=$@ $(FLASH_PROG) $(PROG)

$(FLASH_PROG): FRC
	+cd flash-loader && make

$(OBJ): $(INC)

load: $(PROG)
	lpc-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

FRC:

=== src/easymotor-v2/Makefile ===
#
# AltOS build
#
#

include ../stmf0/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_adxl375.h \
	stm32f0.h

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_ignite.c \
	ao_flight.c \
	ao_kalman.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_motor.c \
	ao_cmd.c \
	ao_config.c \
	ao_dma_stm.c \
	ao_timer.c \
	ao_exti_stm.c \
	ao_spi_stm.c \
	ao_adc_stm.c \
	ao_usb_stm.c \
	ao_m25.c \
	ao_adxl375.c \
	ao_beep_stm.c

PRODUCT=EasyMotor-v2
PRODUCT_DEF=-DEASYMOTOR_V_2
IDPRODUCT=0x002c

CFLAGS = $(PRODUCT_DEF) $(STMF0_CFLAGS)

PROGNAME=easymotor-v2
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymotor.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx
	rm -f ao_product.h

install:

uninstall:

=== src/easymotor-v3/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_adxl375.h \
	lpc.h

#
# Common AltOS sources
#

ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_mutex.c \
	ao_panic.c \
	ao_stdio.c \
	ao_storage.c \
	ao_report.c \
	ao_motor_flight.c \
	ao_sample.c \
	ao_data.c \
	ao_convert_volt.c \
	ao_task.c \
	ao_log.c \
	ao_log_motor.c \
	ao_cmd.c \
	ao_config.c \
	ao_timer_lpc.c \
	ao_exti_lpc.c \
	ao_spi_lpc.c \
	ao_adc_lpc.c \
	ao_usb_lpc.c \
	ao_m25.c \
	ao_adxl375.c \
	ao_beep_lpc.c

PRODUCT=EasyMotor-v3
PRODUCT_DEF=-DEASYMOTOR_V_3
IDPRODUCT=0x002c

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS)

PROGNAME=easymotor-v3
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easymotor.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/easytimer-v1/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_profile.h \
	ao_task.h \
	ao_whiten.h \
	ao_sample_profile.h \
	ao_mpu.h \
	stm32l.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_data.c \
	ao_bmx160.c \
	ao_adc_stm.c \
	ao_beep_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_eeprom_stm.c \
	ao_convert_volt.c \
	ao_report.c \
	ao_sample.c \
	ao_kalman.c \
	ao_pyro.c \
	ao_flight.c \
	ao_ignite.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyTimer-v1
PRODUCT_DEF=-DEASYTIMER_V_1
IDPRODUCT=0x000d

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=easytimer-v1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_easytimer.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/easytimer-v2/Makefile ===
#
# AltOS build
#
#

include ../samd21/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_boot.h \
	ao_companion.h \
	ao_data.h \
	ao_sample.h \
	ao_pins.h \
	altitude-pa.h \
	ao_kalman.h \
	ao_product.h \
	ao_task.h \
	ao_whiten.h \
	samd21.h \
	Makefile

SAMD21_ROM=128
SAMD21_RAM=16

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_config.c \
	ao_task.c \
	ao_stdio.c \
	ao_storage.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_freq.c \
	ao_dma_samd21.c \
	ao_spi_samd21.c \
	ao_data.c \
	ao_bmi088.c \
	ao_mmc5983.c \
	ao_m25.c \
	ao_adc_samd21.c \
	ao_beep_samd21.c \
	ao_usb_samd21.c \
	ao_exti_samd21.c \
	ao_convert_volt.c \
	ao_report.c \
	ao_sample.c \
	ao_kalman.c \
	ao_pyro.c \
	ao_flight.c \
	ao_ignite.c \
	ao_log.c \
	ao_log_timer.c \
	$(PROFILE) \
	$(SAMPLE_PROFILE) \
	$(STACK_GUARD)

PRODUCT=EasyTimer-v2
PRODUCT_DEF=-DEASYTIMER_V_2
IDPRODUCT=0x000d

CFLAGS = $(PRODUCT_DEF) $(SAMD21_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=easytimer-v2
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx
FLASH_PROG=flash-loader/$(PROGNAME)-altos-flash-$(VERSION).elf
BOTH_HEX=$(PROGNAME)-combined-$(VERSION).ihx

ELFTOHEX=$(TOPDIR)/../ao-tools/ao-elftohex/ao-elftohex

SRC=$(ALTOS_SRC) ao_easytimer.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX) $(BOTH_HEX)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(BOTH_HEX): $(PROG) $(FLASH_PROG)
	$(ELFTOHEX) --nosym --output=$@ $(FLASH_PROG) $(PROG)

$(OBJ): $(INC)


$(FLASH_PROG): FRC
	+cd flash-loader && make

FRC:

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf $(PROGNAME)-*.ihx $(PROGNAME)-*.map
	rm -f ao_product.h

install:

uninstall:

=== src/fox1ihu/Makefile ===
#
# AltOS build
#
#

include ../stm/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	ao_watchdog.h \
	ao_storage.h \
	ao_task.h \
	stm32l.h \
	ao_sdcard.h \
	ao_bufio.h \
	ao_fat.h \
	Makefile

#PROFILE=ao_profile.c
#PROFILE_DEF=-DAO_PROFILE=1

#SAMPLE_PROFILE=ao_sample_profile.c \
#	ao_sample_profile_timer.c
#SAMPLE_PROFILE_DEF=-DHAS_SAMPLE_PROFILE=1

#STACK_GUARD=ao_mpu_stm.c
#STACK_GUARD_DEF=-DHAS_STACK_GUARD=1

ALTOS_SRC = \
	ao_boot_chain.c \
	ao_interrupt.c \
	ao_product.c \
	ao_romconfig.c \
	ao_cmd.c \
	ao_task.c \
	ao_led_stm.c \
	ao_stdio.c \
	ao_panic.c \
	ao_timer.c \
	ao_mutex.c \
	ao_dma_stm.c \
	ao_spi_stm.c \
	ao_usb_stm.c \
	ao_exti_stm.c \
	ao_adc_stm.c \
	ao_data.c \
	ao_storage.c \
	ao_mr25.c \
	ao_sdcard.c \
	ao_bufio.c \
	ao_fat.c \
	ao_watchdog.c

PRODUCT=Fox1IHU-v2
PRODUCT_DEF=-DFOX
IDPRODUCT=0x0024

CFLAGS = $(PRODUCT_DEF) $(STM_CFLAGS) $(PROFILE_DEF) $(SAMPLE_PROFILE_DEF) $(STACK_GUARD_DEF)

PROGNAME=fox1ihu-v0.1
PROG=$(PROGNAME)-$(VERSION).elf
HEX=$(PROGNAME)-$(VERSION).ihx

SRC=$(ALTOS_SRC) ao_fox1ihu.c
OBJ=$(SRC:.c=.o)

all: $(PROG) $(HEX)

$(PROG): Makefile $(OBJ) altos.ld
	$(call quiet,CC) $(LDFLAGS) $(CFLAGS) -o $(PROG) $(OBJ) $(LIBS)

$(OBJ): $(INC)

ao_product.h: ao-make-product.5c ../Version
	$(call quiet,NICKLE,$<) $< -m altusmetrum.org -i $(IDPRODUCT) -p $(PRODUCT) -v $(VERSION) > $@

distclean:	clean

clean:
	rm -f *.o $(PROGNAME)-*.elf
	rm -f ao_product.h

install:

uninstall:

=== src/lpcxpresso/Makefile ===
#
# AltOS build
#
#

include ../lpc/Makefile.defs

INC = \
	ao.h \
	ao_arch.h \
	ao_arch_funcs.h \
	ao_pins.h \
	ao_product.h \
	lpc.h

#
# Common AltOS sources
#
ALTOS_SRC = \
	ao_interrupt.c \
	ao_boot_chain.c \
	ao_romconfig.c \
	ao_product.c \
	ao_panic.c \
	ao_led_lpc.c \
	ao_task.c \
	ao_cmd.c \
	ao_timer_lpc.c \
	ao_serial_lpc.c \
	ao_usb_lpc.c \
	ao_stdio.c

PRODUCT=LpcDemo-v0.0
PRODUCT_DEF=-DLPC_DEMO
IDPRODUCT=0x000a

CFLAGS = $(PRODUCT_DEF) $(LPC_CFLAGS)

PROG=lpc-demo.elf

SRC=$(ALTOS_SRC) ao_demo.c
OBJ=$(SRC:.c=.o)

all: $(PROG)

$(PROG): Makefile $(OBJ)
	$(call quiet,CC) $(LDFLAGS) -o $(PROG) $(OBJ) $(LIBS) -Wl,-Map=$(PROGNAME)-$(VERSION).map

$(OBJ): $(INC)

load: $(PROG)
	lpc-load $(PROG)

distclean:	clean

clean:
	rm -f *.o $(PROG)
	rm -f ao_product.h

install:

uninstall:

=== debian/changelog ===
altos (1.9.22-2) unstable; urgency=medium

  * Change asciidoctor-pdf dependency to allow cross builds, closes: #1114044

 -- Bdale Garbee <bdale@gag.com>  Sat, 06 Sep 2025 21:15:51 -0600

altos (1.9.22-1) unstable; urgency=medium

  [ Keith Packard ]
  * doc: Add 1.9.18 release notes
  * drivers: Add Mosaic GPS driver support
  * telemega-v3.0: Add Mosaic GPS support
  * telemega-v4.0: Add Mosaic GPS support
  * telemega-v5.0: Add Mosaic GPS support
  * telemega-v6.0: Add Mosaic GPS support
  * altos: Add telemetrum v4.0 seeed test firmware
  * altos: fix telemetrum seeed test payload names
  * altoslib: Add TeleMega v7 .eeprom parsing support
  * Version 1.9.21.1
  * doc: Add 1.9.22 release notes
  * doc: Update telemetry.txt
  * altos: Fixup mosaic GPS test program
  * telemega-v7.0: Add Mosaic GPS support
  * altos: wait for mosaic receiver to be available at startup
  * altos/stm: Go back to default crt0 for flash loader
  * doc: Add mosaic GPS info to 1.9.22 rel notes
  * doc: Note that mosaic GPS is external
  * Bump version to 1.9.22

  [ Bdale Garbee ]
  * update ChangeLog for 1.9.22 release

 -- Bdale Garbee <bdale@gag.com>  Tue, 26 Aug 2025 20:53:15 -0600

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,18 @@
 Maintainer: Bdale Garbee <bdale@gag.com>
 Uploaders: Keith Packard <keithp@keithp.com>
 Build-Depends: asciidoctor,
-               ruby-asciidoctor-pdf,
+               asciidoctor-pdf,
                strip-nondeterminism,
                autoconf,
                automake,
                debhelper (>= 13),
-               default-jdk,
+               default-jdk-headless:native,
 	       faketime,
                freetts,
                gawk,
                gcc-arm-none-eabi,
                picolibc-arm-none-eabi,
-               graphicsmagick | imagemagick,
+               graphicsmagick:native | imagemagick:native,
                graphviz,
                icnsutils,
                icoutils,
@@ -31,11 +31,11 @@
                libtool,
                libusb-1.0-0-dev,
                netpbm,
-               nickle,
-	       cairo-5c,
+               nickle:native,
+	       cairo-5c:native,
                pkgconf,
                shared-mime-info,
-               sox,
+               sox:native,
                swig
 Standards-Version: 4.6.0
 Homepage: http://altusmetrum.org/AltOS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DH_VERBOSE=1
PKG_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)/\1/p')

# this target invoked by git-buildpackage using a clean hook, see .gbp.conf
prebuild:
	echo "not frobbing changelog for official builds"

configure_flags = \
	--with-java-version=8 \
	--disable-install-shared-mime-info \
	--enable-faketime \
	--without-android \
	--disable-multi-arch

configure: configure-stamp
configure-stamp:
	autoreconf --force -v --install
	dh_auto_configure -- $(configure_flags) && touch $@

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp: configure-stamp  
	dh_testdir
	$(MAKE)
	(cd doc ; $(MAKE))
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -f debian/altos.sharedmimeinfo
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_prep  
	dh_installdirs

	$(MAKE) DESTDIR=$(CURDIR)/debian/altos install
	sed -i "/dependency_libs/ s/'.*'/''/" `find debian/altos/ -name '*.la'`

binary-indep: install

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples
	dh_install
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/gdm/themes/altusmetrum/background.png
	ln -s /usr/share/altos/themes/background.png \
		debian/altos/usr/share/slim/themes/altusmetrum/background.png
	dh_installmenu
	cp icon/org-altusmetrum-mimetypes.xml debian/altos.sharedmimeinfo
	dh_installmime
	dh_installman
	dh_lintian
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
